Package wx :: Package py :: Module editor :: Class EditorNotebookFrame

[frames | no frames]

## Type EditorNotebookFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                             Frame --+
                                     |
                           EditorFrame --+
                                         |
                                        EditorNotebookFrame

Known Subclasses:
  `EditorShellNotebookFrame`

Frame containing one or more editors in a notebook.

Method Summary
| ``__init__`(self, parent, id, title, pos, size, style, filename)` Create EditorNotebookFrame instance.
| ``bufferCreate`(self, filename)` Create new buffer.
| ``bufferDestroy`(self)` Destroy the current buffer.
| ``bufferNew`(self)` Create new buffer.
| ``bufferOpen`(self)` Open file in buffer.
| ``OnAbout`(self, event)` Display an About window.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent=None, id=-1, title='PyAlaMode', pos=wx.Point(-1, -1), size=(800, 600), style=541072960, filename=None)
(Constructor)

Create EditorNotebookFrame instance.

  Overrides:
    `wx.py.editor.EditorFrame.__init__`

### bufferCreate(self, filename=None)

Create new buffer.

  Overrides:
    `wx.py.editor.EditorFrame.bufferCreate`

### bufferDestroy(self)

Destroy the current buffer.

  Overrides:
    `wx.py.editor.EditorFrame.bufferDestroy`

### bufferNew(self)

Create new buffer.

  Overrides:
    `wx.py.editor.EditorFrame.bufferNew`

### bufferOpen(self)

Open file in buffer.

  Overrides:
    `wx.py.editor.EditorFrame.bufferOpen`

### OnAbout(self, event)

Display an About window.

  Overrides:
    `wx.py.editor.EditorFrame.OnAbout`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:06 2007 | http://epydoc.sf.net